### Method

# CM Client get_logged_in

#### Declaration [src]

    gboolean
    cm_client_get_logged_in (
      CmClient* self
    )

#### Description [src]

Gets whether the user is currently logged in.

Logging in with libcmatrix is a multi step process. This function returns `TRUE` when all steps (like connecting to the home server, logging in with password, getting an access token, …) were performed successfully.

Use `cm_client_get_logging_in()` to check whether the login process is currently ongoing.

#### Return value

Type: `gboolean`

`TRUE` when log in was successful, otherwise `FALSE`.